Add an entity identifier
curl --request POST \
--url https://api.syntage.com/entities/{entityId}/identifiers \
--header 'Content-Type: application/json' \
--header 'X-API-Key: <api-key>' \
--data '
{
"country": "mx",
"identifier": "rfc",
"value": "XAXX010101000"
}
'import requests
url = "https://api.syntage.com/entities/{entityId}/identifiers"
payload = {
"country": "mx",
"identifier": "rfc",
"value": "XAXX010101000"
}
headers = {
"X-API-Key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'X-API-Key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({country: 'mx', identifier: 'rfc', value: 'XAXX010101000'})
};
fetch('https://api.syntage.com/entities/{entityId}/identifiers', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"@id": "/.well-known/genid/78c595ac88fa9659fa80",
"@type": "EntityIdentifier",
"id": "e0a24894-7fbf-48ae-bfb0-efaae30a6319",
"link": "/entities/91106968-1abd-4d64-85c1-4e73d96fb997",
"country": "mx",
"identifier": "rfc",
"value": "XAXX010101000",
"createdAt": "2020-01-01T12:15:00.000Z",
"updatedAt": "2020-01-01T12:15:00.000Z"
}{
"message": "<string>"
}{
"message": "<string>"
}{
"message": "<string>"
}Identifiers
Add an entity identifier
Add a country-specific identifier to an entity.
POST
/
entities
/
{entityId}
/
identifiers
Add an entity identifier
Authorizations
Your API key is available in the Production and Sandbox dashboards.
Path Parameters
Body
application/json
Response
Entity identifier resource response
Entity identifier IRI reference
Example:
"/.well-known/genid/78c595ac88fa9659fa80"
JSON-LD resource type
Example:
"e0a24894-7fbf-48ae-bfb0-efaae30a6319"
Entity IRI reference
Example:
"/entities/91106968-1abd-4d64-85c1-4e73d96fb997"
Country that issued the identifier
Available options:
mx Example:
"mx"
Kind of identifier for the entity
Available options:
curp, rfc Example:
"rfc"
Identifier value
Example:
"XAXX010101000"
Date and time the resource was created
Example:
"2020-01-01T12:15:00.000Z"
Date and time the resource was last updated
Example:
"2020-01-01T12:15:00.000Z"
Was this page helpful?